GrailsTransactionAttribute (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.transaction
[Java] Class GrailsTransactionAttribute

    java.lang.Object
      org.springframework.transaction.support.DefaultTransactionDefinition
          org.springframework.transaction.interceptor.DefaultTransactionAttribute
              org.springframework.transaction.interceptor.RuleBasedTransactionAttribute
                  org.codehaus.groovy.grails.transaction.GrailsTransactionAttribute

    public class GrailsTransactionAttribute
    extends org.springframework.transaction.interceptor.RuleBasedTransactionAttribute

Field Summary

Fields inherited from class org.springframework.transaction.interceptor.RuleBasedTransactionAttribute
PREFIX_ROLLBACK_RULE, PREFIX_COMMIT_RULE, PROPAGATION_REQUIRED, PROPAGATION_SUPPORTS, PROPAGATION_MANDATORY, PROPAGATION_REQUIRES_NEW, PROPAGATION_NOT_SUPPORTED, PROPAGATION_NEVER, PROPAGATION_NESTED, ISOLATION_DEFAULT, ISOLATION_READ_UNCOMMITTED, ISOLATION_READ_COMMITTED, ISOLATION_REPEATABLE_READ, ISOLATION_SERIALIZABLE, TIMEOUT_DEFAULT, PREFIX_PROPAGATION, PREFIX_ISOLATION, PREFIX_TIMEOUT, READ_ONLY_MARKER

Fields inherited from class org.springframework.transaction.interceptor.DefaultTransactionAttribute
PROPAGATION_REQUIRED, PROPAGATION_SUPPORTS, PROPAGATION_MANDATORY, PROPAGATION_REQUIRES_NEW, PROPAGATION_NOT_SUPPORTED, PROPAGATION_NEVER, PROPAGATION_NESTED, ISOLATION_DEFAULT, ISOLATION_READ_UNCOMMITTED, ISOLATION_READ_COMMITTED, ISOLATION_REPEATABLE_READ, ISOLATION_SERIALIZABLE, TIMEOUT_DEFAULT, PREFIX_PROPAGATION, PREFIX_ISOLATION, PREFIX_TIMEOUT, READ_ONLY_MARKER

Constructor Summary
`GrailsTransactionAttribute()`
`GrailsTransactionAttribute(int propagationBehavior, java.util.List rollbackRules)`
`GrailsTransactionAttribute(org.springframework.transaction.interceptor.RuleBasedTransactionAttribute other)`

Method Summary
`boolean` | `isInheritRollbackOnly()`
`void` | `setInheritRollbackOnly(boolean inheritRollbackOnly)`

Methods inherited from class org.springframework.transaction.interceptor.RuleBasedTransactionAttribute
org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#toString(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#rollbackOn(java.lang.Throwable), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setRollbackRules(java.util.List), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getRollbackRules(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getQualifier(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setQualifier(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#equals(java.lang.Object), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#hashCode(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getName(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setReadOnly(boolean), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#isReadOnly(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getTimeout(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setTimeout(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setPropagationBehaviorName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setPropagationBehavior(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setIsolationLevelName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setIsolationLevel(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getPropagationBehavior(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getIsolationLevel(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(long, int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(long), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getClass(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#notify(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#notifyAll()

Methods inherited from class org.springframework.transaction.interceptor.DefaultTransactionAttribute
org.springframework.transaction.interceptor.DefaultTransactionAttribute#getQualifier(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#rollbackOn(java.lang.Throwable), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setQualifier(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#equals(java.lang.Object), org.springframework.transaction.interceptor.DefaultTransactionAttribute#toString(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#hashCode(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getName(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setReadOnly(boolean), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setName(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#isReadOnly(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getTimeout(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setTimeout(int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setPropagationBehaviorName(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setPropagationBehavior(int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setIsolationLevelName(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setIsolationLevel(int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getPropagationBehavior(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getIsolationLevel(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#wait(long, int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#wait(long), org.springframework.transaction.interceptor.DefaultTransactionAttribute#wait(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getClass(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#notify(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#notifyAll()

Constructor Detail

### GrailsTransactionAttribute

    public GrailsTransactionAttribute()

### GrailsTransactionAttribute

    public GrailsTransactionAttribute(int propagationBehavior, java.util.List rollbackRules)

### GrailsTransactionAttribute

    public GrailsTransactionAttribute(org.springframework.transaction.interceptor.RuleBasedTransactionAttribute other)

Method Detail

### isInheritRollbackOnly

    public boolean isInheritRollbackOnly()

### setInheritRollbackOnly

    public void setInheritRollbackOnly(boolean inheritRollbackOnly)

Groovy Documentation